<?php

namespace FiloBlu\Storelocator\Block\Adminhtml\System\Config\Form\Field;

class Tagfilters extends \Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray {

    protected $_arrayRowsCache;

    /**
     * @var \Magento\Framework\Data\Form\Element\Factory
     */
    protected $_elementFactory;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \Magento\Framework\Data\Form\Element\Factory $elementFactory
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Framework\Data\Form\Element\Factory $elementFactory,
        array $data = []
    )
    {
        $this->_elementFactory  = $elementFactory;
        parent::__construct($context,$data);
    }

    protected function _construct(){

        $this->addColumn('tag_category_filter_id', array(
            'label' => __('Tag Category Filter Ids'),
            'style' => 'max-width: 450px;',
        ));

        $this->addColumn('tag_filter_label', array(
            'label' => __('Tag Filters Label'),
            'style' => 'max-width: 450px;',
        ));

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add New');
        parent::_construct();
    }

}
